This page was not yet optimized for use on mobile devices.
Cisco ISR 4000 Series Routers with MACSEC
Certificate details
| Certificate ID | #3815 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition - replaced by certificate #4651 |
| Validation dates | 09.02.2021 , 11.06.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode, installed, initialized and configured as specified in Section 9 of the Security Policy |
| Exceptions |
|
| Description | The Cisco Integrated Services Router (ISR) 4000 Series provide comprehensive security services including VPN for small businesses, enterprise small branch and teleworkers. The platforms are architected to enable the next phase of branch-office evolution, providing rich media collaboration and virtualization to the branch while offering a wide-range of connectivity options. |
| Version (Hardware) | ISR 4321, ISR 4331, ISR 4351 and ISR 4451 with NIM-2GE-CU-SFP |
| Version (Firmware) | Cisco IOS-XE 16.12 |
| Vendor | Cisco Systems, Inc. https://www.cisco.com |
| Lab | Acumen Security |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-, AES, AES-256, RC4, DES, Triple-DES, TDES, HMAC, CMACAsymmetric Algorithms
RSA 2048, ECDH, ECDSA, ECC, Diffie-Hellman, DHHash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5Schemes
MAC, Key ExchangeProtocols
SSH, TLS, TLSv1.2, IKE, IKEv2, IPsec, VPNRandomness
DRBG, RNGElliptic Curves
P-256, P-384Block cipher modes
ECB, CBC, CTR, GCMVendor
Cisco, Cisco Systems, Inc, Cisco SystemsSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS 140, SP 800-90, SP 800-52, SP 800-38D, PKCS#1, RFC 5246, RFC 4253, RFC 6071, RFC 5288, RFC 7296Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3815,
"dgst": "c5012fb6613af708",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#4583",
"#3034",
"KTS#4583",
"#2500",
"#1241",
"#1529",
"#1257",
"AES#3504",
"#1258",
"RSA#2500",
"HMAC#3034",
"SHS#3760",
"CVL#1257",
"#139",
"KBKDF#139",
"Triple-DES#2436",
"ECDSA#1241",
"#2436",
"CVL#1258",
"#3504",
"#3760",
"#4583",
"DRBG#1529"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"16.12"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 3
},
"ECDSA": {
"ECDSA": 1
}
},
"FF": {
"DH": {
"DH": 6,
"Diffie-Hellman": 25
}
},
"RSA": {
"RSA 2048": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CTR": {
"CTR": 6
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 7
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 30,
"IKEv2": 1
},
"IPsec": {
"IPsec": 13
},
"SSH": {
"SSH": 55
},
"TLS": {
"TLS": {
"TLS": 53,
"TLSv1.2": 1
}
},
"VPN": {
"VPN": 2
}
},
"crypto_scheme": {
"KEX": {
"Key Exchange": 10
},
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 14,
"P-384": 14
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#3": 1,
"#4583": 1
}
},
"fips_certlike": {
"Certlike": {
"AES -128, 192": 2,
"AES 4853": 1,
"AES Cert. #4583": 1,
"AES- 256": 4,
"AES-256": 1,
"Cert. # AES": 1,
"DES 9": 1,
"DRBG (256": 1,
"HMAC SHA-1": 6,
"HMAC SHA-256": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC-SHA1": 3,
"HMAC-SHA1 139": 1,
"PKCS#1": 2,
"RSA 2048": 1,
"SHA-1": 12,
"SHA-256": 4,
"SHA-384": 2,
"SHA-512": 2,
"cert # AES": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 8
}
},
"SHA": {
"SHA1": {
"SHA-1": 12
},
"SHA2": {
"SHA-256": 4,
"SHA-384": 2,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 58
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 4,
"FIPS 140-2": 22,
"FIPS PUB 140-2": 1
},
"NIST": {
"SP 800-38D": 1,
"SP 800-52": 1,
"SP 800-90": 5
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC 4253": 1,
"RFC 5246": 1,
"RFC 5288": 1,
"RFC 6071": 1,
"RFC 7296": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 17,
"AES-": 5,
"AES-256": 1
},
"RC": {
"RC4": 3
}
},
"DES": {
"3DES": {
"TDES": 1,
"Triple-DES": 8
},
"DES": {
"DES": 6
}
},
"constructions": {
"MAC": {
"CMAC": 1,
"HMAC": 20
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 16,
"Cisco Systems": 2,
"Cisco Systems, Inc": 35
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#4583",
"DRBG#1529",
"KTS#4583",
"KBKDF#139",
"Triple-DES#2436",
"CVL#1258",
"ECDSA#1241",
"RSA#2500",
"AES#3504",
"HMAC#3034",
"SHS#3760",
"CVL#1257"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#3034",
"#139",
"#1257",
"#2500",
"#1241",
"#1529",
"#3760",
"#4583",
"#1258",
"#3504",
"#2436"
]
},
"policy_metadata": {
"/Author": "Anthony Busciglio",
"/CreationDate": "D:20210513184217-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20210513184217-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Title": "0",
"pdf_file_size_bytes": 884952,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.cisco.com/",
"https://www.cisco.com/c/en/us/td/docs/routers/access/4400/hardware/installation/guide4400-4300/C4400_isr/Overview.html?bookSearch=true",
"https://www.cisco.com/c/en/us/td/docs/routers/access/4400/software/configuration/guide/isr4400swcfg.html",
"http://csrc.nist.gov/groups/STM/cmvp/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "81e3cb33687e8ba9945618007e018359d26272674b9d063a82e684e3e59a69b2",
"source_hash": "196fdb51fb76681d6664f748aca2ecec1c4e7f4eaeb8033cb575770293545ad3",
"txt_hash": "ee1f527f90dd6f5a065c94b6403fe390ff641ecf6517e10599eabf30e6e12af4"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode, installed, initialized and configured as specified in Section 9 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/February 2021_010321_1145_signed.pdf",
"date_sunset": null,
"description": "The Cisco Integrated Services Router (ISR) 4000 Series provide comprehensive security services including VPN for small businesses, enterprise small branch and teleworkers. The platforms are architected to enable the next phase of branch-office evolution, providing rich media collaboration and virtualization to the branch while offering a wide-range of connectivity options.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "Cisco IOS-XE 16.12",
"historical_reason": "SP 800-56Arev3 transition - replaced by certificate #4651",
"hw_versions": "ISR 4321, ISR 4331, ISR 4351 and ISR 4451 with NIM-2GE-CU-SFP",
"level": 1,
"mentioned_certs": {},
"module_name": "Cisco ISR 4000 Series Routers with MACSEC",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-02-09",
"lab": "Acumen Security",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-06-11",
"lab": "Acumen Security",
"validation_type": "Update"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "https://www.cisco.com"
}
}